Get Call
curl --request GET \
--url https://api.talentunveiled.com/api/v1/calls/{call_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v1/calls/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v1/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v1/calls/{call_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v1/calls/{call_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v1/calls/{call_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v1/calls/{call_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "vapi",
"status": "pending",
"ended_reason": "assistant_ended",
"recording_audio_url": "<string>",
"recording_video_url": "<string>",
"transcript": [
{}
]
}TalentUnveiled Public API
Get Call
Retrieve a single call by ID, including transcript.
GET
/
calls
/
{call_id}
Get Call
curl --request GET \
--url https://api.talentunveiled.com/api/v1/calls/{call_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v1/calls/{call_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v1/calls/{call_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v1/calls/{call_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v1/calls/{call_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v1/calls/{call_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v1/calls/{call_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "vapi",
"status": "pending",
"ended_reason": "assistant_ended",
"recording_audio_url": "<string>",
"recording_video_url": "<string>",
"transcript": [
{}
]
}Authorizations
API key authentication for the public API. Pass your API key as a Bearer token.
Path Parameters
Response
200 - application/json
Call provider (denormalized from profile)
vapi- VAPI
Available options:
vapi Current call status
pending- Pendingscheduled- Scheduledqueued- Queuedin_progress- In Progresscompleted- Completedfailed- Failedcancelled- Cancelled
Available options:
pending, scheduled, queued, in_progress, completed, failed, cancelled Categorized reason why call ended
assistant_ended- Assistant Ended Callcustomer_ended- Customer Ended Callmax_duration- Max Duration Reachedsilence_timeout- Silence Timeoutcustomer_busy- Customer Busycustomer_no_answer- Customer Did Not Answervoicemail- Voicemail Reachedassistant_error- Assistant Errorpipeline_error- Pipeline Errorprovider_error- Provider Errormanually_canceled- Manually Canceledforwarded- Call Forwardedunknown- Unknown
Available options:
assistant_ended, customer_ended, max_duration, silence_timeout, customer_busy, customer_no_answer, voicemail, assistant_error, pipeline_error, provider_error, manually_canceled, forwarded, unknown Show child attributes
Show child attributes

